Package com.enonic.xp.page

## Class CreatePageTemplateParams

- java.lang.Object
- - com.enonic.xp.page.CreatePageTemplateParams

-     @PublicApi
      public class CreatePageTemplateParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreatePageTemplateParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreatePageTemplateParams` | `controller​(DescriptorKey controller)` |
    `CreatePageTemplateParams` | `displayName​(String displayName)` |
    `DescriptorKey` | `getController()` |
    `String` | `getDisplayName()` |
    `ContentName` | `getName()` |
    `PropertyTree` | `getPageConfig()` |
    `PageRegions` | `getPageRegions()` |
    `ContentPath` | `getSite()` |
    `ContentTypeNames` | `getSupports()` |
    `CreatePageTemplateParams` | `name​(ContentName name)` |
    `CreatePageTemplateParams` | `name​(String name)` |
    `CreatePageTemplateParams` | `pageConfig​(PropertyTree pageConfig)` |
    `CreatePageTemplateParams` | `pageRegions​(PageRegions pageRegions)` |
    `CreatePageTemplateParams` | `site​(ContentPath site)` |
    `CreatePageTemplateParams` | `supports​(ContentTypeNames supports)` |
    `void` | `validate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreatePageTemplateParams

          public CreatePageTemplateParams()

  - ### Method Detail

    - #### site

          public CreatePageTemplateParams site​(ContentPath site)

    - #### name

          public CreatePageTemplateParams name​(ContentName name)

    - #### name

          public CreatePageTemplateParams name​(String name)

    - #### displayName

          public CreatePageTemplateParams displayName​(String displayName)

    - #### controller

          public CreatePageTemplateParams controller​(DescriptorKey controller)

    - #### supports

          public CreatePageTemplateParams supports​(ContentTypeNames supports)

    - #### pageRegions

          public CreatePageTemplateParams pageRegions​(PageRegions pageRegions)

    - #### pageConfig

          public CreatePageTemplateParams pageConfig​(PropertyTree pageConfig)

    - #### getSite

          public ContentPath getSite()

    - #### getName

          public ContentName getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getController

          public DescriptorKey getController()

    - #### getSupports

          public ContentTypeNames getSupports()

    - #### getPageRegions

          public PageRegions getPageRegions()

    - #### getPageConfig

          public PropertyTree getPageConfig()

    - #### validate

          public void validate()